'use strict';
//dependent upon on Bootstrap

app.directive('activityDeviceSelect', function () {
  return {
    restrict: 'E',
    require: 'ngModel',
    replace: true,
    scope: {
      ngModel: '=',
      roomDevices: '=',
      powerInputMode: '=', //default: false (power off), true (power on, input)
      disable: '=' //if true, hides the list 
    },
    templateUrl: 'views/activity-device-select.html',
    link: function(scope, element, attrs) {
      scope.powerInputMode = scope.powerInputMode || false;
    }
  };
});
